## org.hibernate.dialect.function
Class CharIndexFunction

    java.lang.Object
      org.hibernate.dialect.function.CharIndexFunction

All Implemented Interfaces:
  SQLFunction

    public class CharIndexFunction

extends Object
implements SQLFunction

Emulation of `locate()` on Sybase

Author:
  Nathan Moon

Constructor Summary
`CharIndexFunction()`

Method Summary
`Type` `getReturnType(Type columnType, Mapping mapping)` The return type of the function.
`boolean` `hasArguments()` Does this function have any arguments?
`boolean` `hasParenthesesIfNoArguments()` If there are no arguments, are parentheses required?
`String` `render(Type columnType, List args, SessionFactoryImplementor factory)` Render the function call as SQL fragment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharIndexFunction

    public CharIndexFunction()

Method Detail

### hasArguments

    public boolean hasArguments()

  Description copied from interface: `SQLFunction`
  Does this function have any arguments?

  Specified by:
    `hasArguments` in interface `SQLFunction`
  Returns:
    True if the function expects to have parameters; false otherwise.

### hasParenthesesIfNoArguments

    public boolean hasParenthesesIfNoArguments()

  Description copied from interface: `SQLFunction`
  If there are no arguments, are parentheses required?

  Specified by:
    `hasParenthesesIfNoArguments` in interface `SQLFunction`
  Returns:
    True if a no-arg call of this function requires parentheses.

### getReturnType

    public Type getReturnType(Type columnType,
                              Mapping mapping)
                       throws QueryException

  Description copied from interface: `SQLFunction`
  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Note, the 'firstArgumentType' parameter should match the one passed into `SQLFunction.render(org.hibernate.type.Type, java.util.List, org.hibernate.engine.SessionFactoryImplementor)`

  Specified by:
    `getReturnType` in interface `SQLFunction`
  Parameters:
    `columnType` - The type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.
  Throws:
    `QueryException` - Indicates an issue resolving the return type.

### render

    public String render(Type columnType,
                         List args,
                         SessionFactoryImplementor factory)
                  throws QueryException

  Description copied from interface: `SQLFunction`
  Render the function call as SQL fragment.

  Note, the 'firstArgumentType' parameter should match the one passed into `SQLFunction.getReturnType(org.hibernate.type.Type, org.hibernate.engine.Mapping)`

  Specified by:
    `render` in interface `SQLFunction`
  Parameters:
    `columnType` - The type of the first argument
    `args` - The function arguments
    `factory` - The SessionFactory
  Returns:
    The rendered function call
  Throws:
    `QueryException` - Indicates a problem rendering the function call.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.